MissingH-1.4.1.0: Large utility library

Copyright | Copyright (C) 2001 Ian Lynagh
License | Either BSD or GPL
Maintainer | Ian Lynagh <igloo@earth.li>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Hash.MD5

Description

Generation of MD5sums

Written by Ian Lynagh, igloo@earth.li

Synopsis

- md5 :: MD5 a => a -> ABCD
- md5s :: MD5 a => a -> String
- md5i :: MD5 a => a -> Integer
- class MD5 a where
  - get_next :: a -> ([Word32], Int, a)
  - len_pad :: Zord64 -> a -> a
  - finished :: a -> Bool
- newtype ABCD = ABCD (Word32, Word32, Word32, Word32)
- type Zord64 = Word64
- newtype Str = Str String
- newtype BoolList = BoolList [Bool]
- newtype WordList = WordList ([Word32], Zord64)

# Documentation

md5 :: MD5 a => a -> ABCD Source #

The simplest function, gives you the MD5 of a string as 4-tuple of 32bit words.

md5s :: MD5 a => a -> String Source #

Returns a hex number ala the md5sum program.

md5i :: MD5 a => a -> Integer Source #

Returns an integer equivalent to hex number from `md5s`.

class MD5 a where Source #

Anything we want to work out the MD5 of must be an instance of class MD5

Methods

get_next :: a -> ([Word32], Int, a) Source #

len_pad :: Zord64 -> a -> a Source #

finished :: a -> Bool Source #

Instances

MD5 WordList Source # |
Instance details Defined in Data.Hash.MD5 Methods get_next :: WordList -> ([Word32], Int, WordList) Source # len_pad :: Zord64 -> WordList -> WordList Source # finished :: WordList -> Bool Source #
MD5 BoolList Source # |
Instance details Defined in Data.Hash.MD5 Methods get_next :: BoolList -> ([Word32], Int, BoolList) Source # len_pad :: Zord64 -> BoolList -> BoolList Source # finished :: BoolList -> Bool Source #
MD5 Str Source # |
Instance details Defined in Data.Hash.MD5 Methods get_next :: Str -> ([Word32], Int, Str) Source # len_pad :: Zord64 -> Str -> Str Source # finished :: Str -> Bool Source #

newtype ABCD Source #

Constructors

ABCD (Word32, Word32, Word32, Word32) |

Instances

Eq ABCD Source # |
Instance details Defined in Data.Hash.MD5 Methods (==) :: ABCD -> ABCD -> Bool Source # (/=) :: ABCD -> ABCD -> Bool Source #
Num ABCD Source # |
Instance details Defined in Data.Hash.MD5 Methods (+) :: ABCD -> ABCD -> ABCD Source # (-) :: ABCD -> ABCD -> ABCD Source # (*) :: ABCD -> ABCD -> ABCD Source # negate :: ABCD -> ABCD Source # abs :: ABCD -> ABCD Source # signum :: ABCD -> ABCD Source # fromInteger :: Integer -> ABCD Source #
Show ABCD Source # |
Instance details Defined in Data.Hash.MD5 Methods showsPrec :: Int -> ABCD -> ShowS Source # show :: ABCD -> String Source # showList :: [ABCD] -> ShowS Source #

type Zord64 = Word64 Source #

newtype Str Source #

Constructors

Str String |

Instances

MD5 Str Source # |
Instance details Defined in Data.Hash.MD5 Methods get_next :: Str -> ([Word32], Int, Str) Source # len_pad :: Zord64 -> Str -> Str Source # finished :: Str -> Bool Source #

newtype BoolList Source #

Constructors

BoolList [Bool] |

Instances

MD5 BoolList Source # |
Instance details Defined in Data.Hash.MD5 Methods get_next :: BoolList -> ([Word32], Int, BoolList) Source # len_pad :: Zord64 -> BoolList -> BoolList Source # finished :: BoolList -> Bool Source #

newtype WordList Source #

Constructors

WordList ([Word32], Zord64) |

Instances

MD5 WordList Source # |
Instance details Defined in Data.Hash.MD5 Methods get_next :: WordList -> ([Word32], Int, WordList) Source # len_pad :: Zord64 -> WordList -> WordList Source # finished :: WordList -> Bool Source #